this.show_list = [{
	open_count: 1,
	title: 'QQ',
	user_name: '1144131090',
	password: 'test',
	node: '测试用'
},
{
	open_count: 2,
	title: '微信',
	user_name: '15143211127',
	password: 'test',
	node: '测试用'
},
{
	open_count: 3,
	title: 'WIFI',
	user_name: 'admin',
	password: 'test',
	node: '测试用'
},
{
	open_count: 4,
	title: 'WeGame',
	user_name: '1144131090',
	password: 'test',
	node: '测试用'
}
];

function test() {
	//
	// let main_code = '10aeff'
	// let data_aes = encrypt(main_code, this.show_list);
	// if(!this.row_data) this.setRowData([data_aes, this])
	// let main_code_aes = encryptMainCode(main_code)
	// if(!this.row_pwd) this.setRowPwd([main_code_aes, this])
	// let main_code_decrpt = decryptMainCode(main_code_aes)
	// let data_decrpt = decrypt(main_code_decrpt, data_aes)
	// console.log(data_aes, main_code_aes, main_code_decrpt,data_decrpt)
}

let test_encode = encrypt('10aeff', '这是一段测试文本');
console.log('加密后', test_encode)
let test_decode = decrypt('10aefs', test_encode)
console.log('解密后', test_decode)
console.log('类型', typeof (test_decode)) // 密码错误就是空字符串
